function [K] = K_mat(pts)
r = matdistance(pts, pts);
K = U_rbs(r);
%alpha = calcAlpha(pts);
alpha = 0;
K = K + eye(size(K))*(10)*alpha^2;

return;

function alpha = calcAlpha(pts)

alpha = 0;
p = size(pts,1);

for i=1:size(pts,1)
    for j=1:size(pts,2)
        alpha = alpha + norm(pts(i,1)*pts(i,2) - pts(j,1)*pts(j,2));
    end
end
alpha = alpha/p^2;
